Package twisted :: Package mail :: Module maildir :: Class MaildirDirdbmDomain

[show private | hide private]
[frames | no frames]

## Class MaildirDirdbmDomain

    AbstractMaildirDomain --+
                            |
                           MaildirDirdbmDomain

A Maildir Domain where membership is checked by a dirdbm file

Method Summary
| ``__init__`(self, service, root, postmaster)` Initialize
| ``authenticateUserAPOP`(self, user, magic, digest, domain)` Return Mailbox to valid APOP authentications
| ``exists`(self, user, success, failure)` Check for existence of user in the domain (inherited from `AbstractMaildirDomain`)
| ``startMessage`(self, user)` Save a message for a given user (inherited from `AbstractMaildirDomain`)
| ``userDirectory`(self, name)` Get the directory for a user

Method Details

### __init__(self, service, root, postmaster=0)
(Constructor)

Initialize

The first argument is where the Domain directory is rooted. The second is whether non-existing addresses are simply forwarded to postmaster instead of outright bounce

The directory structure of a MailddirDirdbmDomain is:

/passwd <-- a dirdbm file /USER/inbox/{cur,new,del} <-- each user has these three directories

### authenticateUserAPOP(self, user, magic, digest, domain)

Return Mailbox to valid APOP authentications

Check the credentials, returning None if they are invalid or a MaildirMailbox if they are valid.

### userDirectory(self, name)

Get the directory for a user

If the user exists in the dirdbm file, return the directory os.path.join(root, name, 'inbox'), creating it if necessary. Otherwise, returns postmaster's mailbox instead if bounces go to postmaster, otherwise return None

Generated by Epydoc 1.1 on Sat Feb 15 21:17:54 2003 | http://epydoc.sf.net